%clear {
    content: ' ';
    display: table;
}

.clear {
    *zoom: 1;
    &:before {
        @extend %clear;
    }
    &:after {
        @extend %clear;
        clear: both;
    }
}
.transition {
    @include transition(all 0.3s ease-in-out);
}